class R134atest
{
public static void main(String[] arg)
{   R134a x=new R134a();
	double t=10.0;
	double P=10.0;
	double v=x.v(P,t);
	P=x.P(t,v);
	double dP=x.dPdT(t,v);
	double dP1=x.dPdT1(t,v);
	System.out.println("dP="+dP+"dP1="+dP1); 
    System.out.println("P="+P); 
    v=x.v(P,t);
    System.out.println("v="+v);
    double Psat=x.Psat(t);
    System.out.println("Psat="+Psat);
    double dPsat=x.dPsatdT(t);
    double dPsat1=x.dPsatdT1(t);
    System.out.println("dPsat="+dPsat+"dPsat1="+dPsat1);
    double tsat=x.Tsat(Psat);
    System.out.println("tsat="+tsat);
    System.out.println("fps="+x.fps(Psat,0));
    System.out.println("************hfg="+x.hfg(t)+"sfg="+x.sfg(t));
    System.out.println("h="+x.h(t,v));
    System.out.println("s="+x.s(t,v));
    System.out.println("x="+x.x(t,v));
    System.out.println("hf="+x.hf(t));
    System.out.println("hg="+x.hg(t));
     System.out.println("sf="+x.sf(t));
    System.out.println("sg="+x.sg(t));
	}
}